Create workflow
curl --request POST \
--url https://api.juridiq.com.br/workflow/ \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"name": "<string>",
"content": {
"steps": [
{
"id": "<string>",
"type": "trigger",
"nextStepId": "<string>",
"nextStepIds": [
"<string>"
],
"requiresPreviousComplete": true,
"dependsOnStepId": "<string>",
"delay": {
"amount": 4380
},
"triggerData": {
"keywords": [
"<string>"
],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": true,
"startLinks": {},
"startItems": [
{
"required": false,
"includeParties": true
}
],
"createLawsuitIfMissing": true
}
}
],
"initialStepId": "<string>"
},
"description": "<string>",
"isActive": true,
"triggerData": {
"keywords": [
"<string>"
],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": true,
"startLinks": {},
"startItems": [
{
"required": false,
"includeParties": true
}
],
"createLawsuitIfMissing": true
},
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.juridiq.com.br/workflow/"
payload = {
"name": "<string>",
"content": {
"steps": [
{
"id": "<string>",
"type": "trigger",
"nextStepId": "<string>",
"nextStepIds": ["<string>"],
"requiresPreviousComplete": True,
"dependsOnStepId": "<string>",
"delay": { "amount": 4380 },
"triggerData": {
"keywords": ["<string>"],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": True,
"startLinks": {},
"startItems": [
{
"required": False,
"includeParties": True
}
],
"createLawsuitIfMissing": True
}
}
],
"initialStepId": "<string>"
},
"description": "<string>",
"isActive": True,
"triggerData": {
"keywords": ["<string>"],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": True,
"startLinks": {},
"startItems": [
{
"required": False,
"includeParties": True
}
],
"createLawsuitIfMissing": True
},
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {
steps: [
{
id: '<string>',
type: 'trigger',
nextStepId: '<string>',
nextStepIds: ['<string>'],
requiresPreviousComplete: true,
dependsOnStepId: '<string>',
delay: {amount: 4380},
triggerData: {
keywords: ['<string>'],
funnelId: '<string>',
columnId: '<string>',
requireAllKeywords: true,
startLinks: {},
startItems: [{required: false, includeParties: true}],
createLawsuitIfMissing: true
}
}
],
initialStepId: '<string>'
},
description: '<string>',
isActive: true,
triggerData: {
keywords: ['<string>'],
funnelId: '<string>',
columnId: '<string>',
requireAllKeywords: true,
startLinks: {},
startItems: [{required: false, includeParties: true}],
createLawsuitIfMissing: true
},
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.juridiq.com.br/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/workflow/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => [
'steps' => [
[
'id' => '<string>',
'type' => 'trigger',
'nextStepId' => '<string>',
'nextStepIds' => [
'<string>'
],
'requiresPreviousComplete' => true,
'dependsOnStepId' => '<string>',
'delay' => [
'amount' => 4380
],
'triggerData' => [
'keywords' => [
'<string>'
],
'funnelId' => '<string>',
'columnId' => '<string>',
'requireAllKeywords' => true,
'startLinks' => [
],
'startItems' => [
[
'required' => false,
'includeParties' => true
]
],
'createLawsuitIfMissing' => true
]
]
],
'initialStepId' => '<string>'
],
'description' => '<string>',
'isActive' => true,
'triggerData' => [
'keywords' => [
'<string>'
],
'funnelId' => '<string>',
'columnId' => '<string>',
'requireAllKeywords' => true,
'startLinks' => [
],
'startItems' => [
[
'required' => false,
'includeParties' => true
]
],
'createLawsuitIfMissing' => true
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/workflow/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/workflow/")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/workflow/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"workflow": "<unknown>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Workflows
Create workflow
Cria uma automação. Via API key fica sempre pausada: o usuário revisa e ativa no módulo de Automações. Formato completo, gatilhos, ações e variáveis {{...}} em GET /workflow/catalog.
POST
/
workflow
/
Create workflow
curl --request POST \
--url https://api.juridiq.com.br/workflow/ \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"name": "<string>",
"content": {
"steps": [
{
"id": "<string>",
"type": "trigger",
"nextStepId": "<string>",
"nextStepIds": [
"<string>"
],
"requiresPreviousComplete": true,
"dependsOnStepId": "<string>",
"delay": {
"amount": 4380
},
"triggerData": {
"keywords": [
"<string>"
],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": true,
"startLinks": {},
"startItems": [
{
"required": false,
"includeParties": true
}
],
"createLawsuitIfMissing": true
}
}
],
"initialStepId": "<string>"
},
"description": "<string>",
"isActive": true,
"triggerData": {
"keywords": [
"<string>"
],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": true,
"startLinks": {},
"startItems": [
{
"required": false,
"includeParties": true
}
],
"createLawsuitIfMissing": true
},
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.juridiq.com.br/workflow/"
payload = {
"name": "<string>",
"content": {
"steps": [
{
"id": "<string>",
"type": "trigger",
"nextStepId": "<string>",
"nextStepIds": ["<string>"],
"requiresPreviousComplete": True,
"dependsOnStepId": "<string>",
"delay": { "amount": 4380 },
"triggerData": {
"keywords": ["<string>"],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": True,
"startLinks": {},
"startItems": [
{
"required": False,
"includeParties": True
}
],
"createLawsuitIfMissing": True
}
}
],
"initialStepId": "<string>"
},
"description": "<string>",
"isActive": True,
"triggerData": {
"keywords": ["<string>"],
"funnelId": "<string>",
"columnId": "<string>",
"requireAllKeywords": True,
"startLinks": {},
"startItems": [
{
"required": False,
"includeParties": True
}
],
"createLawsuitIfMissing": True
},
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {
steps: [
{
id: '<string>',
type: 'trigger',
nextStepId: '<string>',
nextStepIds: ['<string>'],
requiresPreviousComplete: true,
dependsOnStepId: '<string>',
delay: {amount: 4380},
triggerData: {
keywords: ['<string>'],
funnelId: '<string>',
columnId: '<string>',
requireAllKeywords: true,
startLinks: {},
startItems: [{required: false, includeParties: true}],
createLawsuitIfMissing: true
}
}
],
initialStepId: '<string>'
},
description: '<string>',
isActive: true,
triggerData: {
keywords: ['<string>'],
funnelId: '<string>',
columnId: '<string>',
requireAllKeywords: true,
startLinks: {},
startItems: [{required: false, includeParties: true}],
createLawsuitIfMissing: true
},
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.juridiq.com.br/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/workflow/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => [
'steps' => [
[
'id' => '<string>',
'type' => 'trigger',
'nextStepId' => '<string>',
'nextStepIds' => [
'<string>'
],
'requiresPreviousComplete' => true,
'dependsOnStepId' => '<string>',
'delay' => [
'amount' => 4380
],
'triggerData' => [
'keywords' => [
'<string>'
],
'funnelId' => '<string>',
'columnId' => '<string>',
'requireAllKeywords' => true,
'startLinks' => [
],
'startItems' => [
[
'required' => false,
'includeParties' => true
]
],
'createLawsuitIfMissing' => true
]
]
],
'initialStepId' => '<string>'
],
'description' => '<string>',
'isActive' => true,
'triggerData' => [
'keywords' => [
'<string>'
],
'funnelId' => '<string>',
'columnId' => '<string>',
'requireAllKeywords' => true,
'startLinks' => [
],
'startItems' => [
[
'required' => false,
'includeParties' => true
]
],
'createLawsuitIfMissing' => true
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/workflow/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/workflow/")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/workflow/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": {\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"trigger\",\n \"nextStepId\": \"<string>\",\n \"nextStepIds\": [\n \"<string>\"\n ],\n \"requiresPreviousComplete\": true,\n \"dependsOnStepId\": \"<string>\",\n \"delay\": {\n \"amount\": 4380\n },\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n }\n }\n ],\n \"initialStepId\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isActive\": true,\n \"triggerData\": {\n \"keywords\": [\n \"<string>\"\n ],\n \"funnelId\": \"<string>\",\n \"columnId\": \"<string>\",\n \"requireAllKeywords\": true,\n \"startLinks\": {},\n \"startItems\": [\n {\n \"required\": false,\n \"includeParties\": true\n }\n ],\n \"createLawsuitIfMissing\": true\n },\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"workflow": "<unknown>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Body
application/json
Nome da automação
Minimum string length:
1Gatilho; o mesmo do passo type "trigger" em content
Available options:
MANUAL_START, ON_SCHEDULE, ON_PUBLICATION_CREATED, ON_CRM_CREATED, ON_TASK_CREATED, ON_EVENT_CREATED, ON_AUDIENCE_CREATED, ON_FINANCIAL_CREATED, ON_MOVEMENT_CREATED, ON_SIGNATURE_SIGNED, ON_DOCUMENT_CREATED, ON_LAWSUIT_CREATED, ON_PERSON_CREATED, ON_TASK_COLUMN_ENTERED, ON_CRM_COLUMN_ENTERED Grafo de passos: { initialStepId, steps: [...] }. Formato completo, gatilhos, ações e variáveis {{...}} em GET /workflow/catalog.
Show child attributes
Show child attributes
Descrição livre
Maximum string length:
1000Ignorado para API key/IA: a automação sempre fica pausada até o usuário ativar na tela
Tela que edita o fluxo. Use FULL (editor completo) para automações novas
Available options:
FULL, TASK_FLOW, RECURRING, AUDIENCE_REMINDER, BIRTHDAY, EVENT_REMINDER, PUBLICATION, MOVEMENT Dados do gatilho. Formato completo, gatilhos, ações e variáveis {{...}} em GET /workflow/catalog.
Show child attributes
Show child attributes
Etiquetas (ids)
Maximum array length:
50Response
Default Response

